Cygwin ppl problem

Arnaud Lacombe lacombar@gmail.com
Thu May 13 14:57:00 GMT 2010


Hi *,

On Thu, May 13, 2010 at 5:22 AM, Yann E. MORIN
<yann.morin.1998@anciens.enib.fr> wrote:
> On Tuesday 04 May 2010 16:52:03 Matthias Hofmann wrote:
>> i tried to use crosstool-ng to create an uclibc toolchain, but it broke
>> with some odd error messages.
>> anybody an idea about whats going wrong and how to solve it? PPL doesn't
>> configure well under cygwin.
> [--SNIP--]
>> [INFO ]  =================================================================
>> [INFO ]  Installing PPL
>> [ERROR]    configure: error: Cannot find GMP version 4.1.3 or higher.
>> [ERROR]    Build failed in step 'Installing PPL'
>> [ERROR]    Error happened in
>> '/usr/ct-ng/lib/ct-ng-hg_default@1943_48e107b35ba9/
>> scripts/functions' in function 'CT_DoExecLog' (line unknown, sorry)
>> [ERROR]          called from
>> '/usr/ct-ng/lib/ct-ng-hg_default@1943_48e107b35ba9/
>> scripts/build/companion_libs/ppl.sh' at line # 43 in function 'do_ppl'
>> [ERROR]          called from
>> '/usr/ct-ng/lib/ct-ng-hg_default@1943_48e107b35ba9/
>> scripts/crosstool-NG.sh' at line # 578 in function 'main'
>> [ERROR]    Look at
>> '/home/Matthias/x-tools/i586-unknown-linux-uclibc/build.log'
>> for more info on this error.
>> [ERROR]  (elapsed: 74:42.46)
>> [74:49] / make: *** [build] Error 1
>
> I tried to rebuild on Cygwin 1.7.5, on Windows XP SP3, in a qemu i386
> virtual machine, so build is sloooowww... Here are the results:
> - using gcc-3, it breaks while building PPL, with an ICE in gdb
>
yes, all my try to build PPL with gcc-3 failed due to unsupported C++
construct (or alike).

 - Arnaud

--
For unsubscribe information see http://sourceware.org/lists.html#faq



More information about the crossgcc mailing list